Subject: bug#28756: closed (Re: bug#28756: Substitute download progress bar doesn't reach 100%)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 17 Oct 2017 11:12:04 +0000

Your bug report

#28756: Substitute download progress bar doesn't reach 100%

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28756: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28756
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28756: Substitute download progress bar doesn't reach 100%
From: [email-masked] (宋文武)
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Tue, 17 Oct 2017 19:10:54 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) writes:

> [email-masked] (宋文武) skribis:
>
>> From 6a3fa69f96fc2e3e074a9275066640ddfee57fd2 Mon Sep 17 00:00:00 2001
>> From: =?UTF-8?q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <[email-masked]>
>> Date: Sat, 14 Oct 2017 22:45:55 +0800
>> Subject: [PATCH] guix: substitute: Report the last progress in the child
>>  process.
>>
>> Fixes <https://bugs.gnu.org/28756>.
>>
>> * guix/utils.scm (filtered-port): Close the 'input' port for the current
>> process, and close it upon exit in the child process.
>> * guix/scripts/substitute.scm (progress-substitution): Display "\n\n" after
>> the reporter has finished.
>
> LGTM!
>
> You could commit the utils.scm change separately because it’s a bug-fix
> in its own right.
>

Pushed, thanks!  I think the utils.scm change alone (without the remove
of '(close-port progress') and comment) didn't fix this particular bug
clearly so I didn't seperate it..

Subject: Substitute download progress bar doesn't reach 100%
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sun, 8 Oct 2017 23:52:03 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I just upgraded to the latest Guix and, while downloading substitutes, I
noticed the progress bar seems to never reach 100%, as shown below. I'm
not sure if this started recently or not.

Downloading https://mirror.hydra.gnu.org/guix/nar/gzip/drm4pj1k5mkb5784i0rkqb0bg2z8lmyw-libabw-0.1.1...
 libabw-0.1.1  346KiB                                                                                                                              585KiB/s 00:00 [############        ]  60.0%

Downloading https://mirror.hydra.gnu.org/guix/nar/gzip/djqkmf30zrlwfprdqhmk4nm92iw8ac53-libe-book-0.1.2...
 libe-book-0.1.2  215KiB                                                                                                                           628KiB/s 00:00 [################### ]  96.6%

Downloading https://mirror.hydra.gnu.org/guix/nar/gzip/qjmg7jjcqvclxia9s9b5mw8whm6lpqbz-liblangtag-0.5.8...
 liblangtag-0.5.8  269KiB                                                                                                                          614KiB/s 00:00 [###############     ]  77.2%

Downloading https://mirror.hydra.gnu.org/guix/nar/gzip/7fz9q215cw3nnihr31zmc372zjl00py8-libvisio-0.1.0...
 libvisio-0.1.0  975KiB                                                                                                                            887KiB/s 00:01 [############        ]  60.7%

Downloading https://mirror.hydra.gnu.org/guix/nar/gzip/544jcd4141xgg72dk5xxbs4zjzvxvvxi-nspr-4.17...
 nspr-4.17  404KiB                                                                                                                                 622KiB/s 00:00 [##########          ]  51.5%